include( ../../common.pri )
include( ../../app.pri )

QT       += core gui network sql

QMAKE_LFLAGS_RELEASE += -static -static-libgcc -static-libstdc++

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = Legacy
TEMPLATE = app

CXXFLAGS += -O2 -fno-stack-limit
CONFIG += resources_big

SOURCES += \
    main.cpp \
    models/datoriginalfilesdatabase.cpp \
    models/downloader.cpp \
    models/patchdownloader.cpp \
    models/patchinstaller.cpp \
    models/selfupdater.cpp \
    utils.cpp \
    widgets/gamesettings.cpp \
    widgets/helpwidget.cpp \
    widgets/mainwindow.cpp \
    widgets/menuentry.cpp \
    widgets/aboutwidget.cpp \
    widgets/statuswidget.cpp \
    widgets/newslistwidget.cpp \
    widgets/newspiece.cpp \
    widgets/serverstatuswidget.cpp \
    widgets/switchbutton.cpp \
    widgets/translationcomponents.cpp \
    widgets/weeklycodewidget.cpp \
    widgets/qsmoothscrollarea.cpp \
    widgets/tooltipbutton.cpp \
    widgets/progressbar.cpp \
    fonts.cpp \
    legacyapplication.cpp \
    models/settings.cpp \
    models/filesystem.cpp

HEADERS += \
    models/datoriginalfilesdatabase.h \
    models/downloader.h \
    models/filesystem.h \
    models/patchdownloader.h \
    models/patchinstaller.h \
    models/selfupdater.h \
    utils.h \
    widgets/gamesettings.h \
    widgets/helpwidget.h \
    widgets/mainwindow.h \
    widgets/menuentry.h \
    widgets/aboutwidget.h \
    widgets/statuswidget.h \
    widgets/newslistwidget.h \
    widgets/newspiece.h \
    widgets/serverstatuswidget.h \
    widgets/switchbutton.h \
    widgets/translationcomponents.h \
    widgets/weeklycodewidget.h \
    widgets/qsmoothscrollarea.h \
    widgets/tooltipbutton.h \
    widgets/progressbar.h \
    constants.h \
    fonts.h \
    models/settings.h \
    legacyapplication.h

FORMS += \
    widgets/gamesettings.ui \
    widgets/helpwidget.ui \
    widgets/mainwindow.ui \
    widgets/aboutwidget.ui \
    widgets/statuswidget.ui \
    widgets/newspiece.ui \
    widgets/serverstatuswidget.ui \
    widgets/translationcomponents.ui \
    widgets/weeklycodewidget.ui

win32:RC_ICONS = $${PROJECT_ROOT_PATH}/resources/appicon.ico

INCLUDEPATH += $$PWD/src
INCLUDEPATH += $$PWD/gui


CONFIG(debug, debug|release) {
        RESOURCES += \
                $${PROJECT_ROOT_PATH}/resources/backgrounds.qrc \
                $${PROJECT_ROOT_PATH}/resources/common.qrc
        LIBS += -llibLotroDat_staticd
        LIBS += -llibyaml-cppd
} else {
        include(../../build_res.pri)
        LIBS += -llibLotroDat_static
        LIBS += -llibyaml-cpp
}
