#ifndef LEGACYAPPLICATION_H
#define LEGACYAPPLICATION_H

#include <QThread>
#include <QTimer>

#include "utils.h"

class LotroDatManager;
class MainWindow;

class LegacyApplication : public QObject
{
    Q_OBJECT

public:
    static LegacyApplication& instance() {
        static LegacyApplication instance;
        return instance;
    }

    ~LegacyApplication();
private:
    LegacyApplication();

public:
    bool init();

signals:
    void ErrorStatusChanged(AppErrorStatus status);

public slots:
    void InitModules();
    void close();

private:
    MainWindow *gui = nullptr;

    QThread* patch_managers_thread_;

    QTimer modules_init_timer_;
};

#endif // LEGACYAPPLICATION_H
